Package robocode

## Class MouseEvent

- java.lang.Object
- - robocode.Event
  - - robocode.MouseEvent

All Implemented Interfaces:
  `Serializable`, `Comparable<Event>`

Direct Known Subclasses:
  `MouseClickedEvent`, `MouseDraggedEvent`, `MouseEnteredEvent`, `MouseExitedEvent`, `MouseMovedEvent`, `MousePressedEvent`, `MouseReleasedEvent`, `MouseWheelMovedEvent`

    public abstract class MouseEvent
    extends Event

Super class of all events that originates from the mouse.

Since:
  1.6.1
Author:
  Pavel Savara (original), Flemming N. Larsen (contributor)
See Also:
  Serialized Form

### Constructor Summary

Constructors
`MouseEvent​(MouseEvent source)` Called by the game to create a new MouseEvent.

### Method Summary

All Methods Instance Methods Concrete Methods
`MouseEvent` `getSourceEvent​()` Do not call this method!

### Methods inherited from class robocode.Event

`compareTo, getPriority, getTime, setPriority, setTime`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MouseEvent

    public MouseEvent​(MouseEvent source)

Called by the game to create a new MouseEvent.

Parameters:
  `source` - the source mouse event originating from the AWT.

### Method Detail

#### getSourceEvent

    public MouseEvent getSourceEvent​()

Do not call this method!

This method is used by the game to determine the type of the source mouse event that occurred in the AWT.

Returns:
  the source mouse event that originates from the AWT.